nidHi nidHi - 4 days ago 5
Python Question

Installing parallel-ssh on python2.7

I am trying to install

parallel-ssh
on
python2.7
. My use-case for using this is to make an
ssh
connection run in parallel and not let it block further execution of a
python
file. I used the following command,

pip install parallel-ssh


But, I am getting the following error,

UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 30: ordinal not in range(128)


I tried searching for ways to rectify this. I am not very clear on what to do and need some guidance regarding the same.

Answer

Yes, this is an issue with old versions of pip.

pip install -U pip
pip install parallel-ssh

This will update pip and then parallel-ssh installation can proceed.

Comments